<?php
/**
 * ダイアル特典テンプレート
 * functions.php
 */

/*
 * テーマ独自オプション読み込み
 */
require_once ( get_template_directory() . '/theme-options.php' );


if (!is_admin()) {
	$theme_options = get_option('winp_theme_options');

	require_once(dirname(__FILE__).'/php/template.php');
	$_tmpl = new Template();

	/*
	 * スタイルシート読込
	 */
	wp_enqueue_style('bootstrap-style', get_stylesheet_directory_uri().'/bootstrap/css/bootstrap.min.css');
	wp_enqueue_style('font-awesome-style', get_stylesheet_directory_uri().'/font-awesome/css/font-awesome.min.css');
	wp_enqueue_style('theme-base-style', get_stylesheet_directory_uri().'/css/base.css');
	wp_enqueue_style('theme-layout-style', get_stylesheet_directory_uri().'/css/layout.css');
	wp_enqueue_style('theme-module-style', get_stylesheet_directory_uri().'/css/module.css');
	if (!empty($theme_options['theme_color'])) {
		wp_enqueue_style('theme-colors-layout-style', get_stylesheet_directory_uri().'/colors/'.$theme_options['theme_color'].'/css/theme.css');
	} else {
		wp_enqueue_style('theme-colors-layout-style', get_stylesheet_directory_uri().'/colors/black/css/theme.css');
	}
	wp_enqueue_style('media-query-style', get_stylesheet_directory_uri().'/css/mq.css');
	wp_enqueue_style('theme-style', get_stylesheet_directory_uri().'/style.css');

	/*
	 * JavaScript読込
	 */
	wp_deregister_script('jquery');
	wp_enqueue_script('jquery-script', get_stylesheet_directory_uri().'/js/jquery.min.js', array(), false, true);
	wp_enqueue_script('jquery-easing-script', get_stylesheet_directory_uri().'/js/jquery.easing.1.3.js', array(), false, true);
	wp_enqueue_script('bootstrap-script', get_stylesheet_directory_uri().'/bootstrap/js/bootstrap.min.js', array(), false, true);
	wp_enqueue_script('custom-script', get_stylesheet_directory_uri().'/js/custom.js', array(), false, true);
	function replace_style_tag($tag) {
		return preg_replace( array( "| type='.+?'\s*|", '| />|' ), array( ' ', '>' ), $tag );
	}
	add_filter('style_loader_tag', 'replace_style_tag');
}

/*
 * 汎用設定
 */
// カスタムヘッダーを有効に
add_theme_support('custom-header');
// アイキャッチ画像を有効に
add_theme_support('post-thumbnails');

// wp_head からよけいな要素を削除
remove_action('wp_head', 'print_emoji_detection_script', 7);
remove_action('wp_print_styles', 'print_emoji_styles');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'feed_links_extra', 3);

/*
 * ナビゲーションをBootstrap対応
 */
require_once(dirname(__FILE__).'/php/nav_menu.php');
register_nav_menu('primary', 'メインメニュー');
register_nav_menu('header', 'ヘッダーメニュー');
register_nav_menu('footer', 'フッターメニュー');

add_filter('nav_menu_css_class', 'winpress_css_attributes_filter', 100, 1);
add_filter('nav_menu_item_id', 'winpress_css_attributes_filter', 100, 1);
add_filter('page_css_class', 'winpress_css_attributes_filter', 100, 1);
function winpress_css_attributes_filter($var) {
	return is_array($var) ? array_intersect($var, array('current-menu-item', 'icon_home', 'icon_info', 'icon_rank', 'icon_memo', 'icon_pencil', 'icon_comment', 'icon_medal', 'icon_box', 'icon_star', 'icon_bulb', 'icon_heart', 'icon_check', 'icon_graph')) : '';
}

/*
 * ウィジェット設定
 */
function winpress_search_form( $form ) {
    $form = '<div class="search_form"><form role="search" method="get" id="searchform" action="'.home_url( '/' ).'" >
    <div class="form-group">
		<div class="input-group">
    <input class="form-control" type="text" value="' . get_search_query() . '" name="s" id="s" size="10">
		<span class="input-group-btn"><input class="btn btn-default" type="submit" id="searchsubmit" value="'. esc_attr__('Search') .'"></span>
    </div>
    </div>
    </form></div>';

    return $form;
}

add_filter( 'get_search_form', 'winpress_search_form' );

function winpress_widgets_init() {

	// サイドバーウィジェット有効化
	register_sidebar(array(
		'name' => 'サイドバー ナビゲーション',
		'id' => 'sidebar01',
		'before_widget' => '<div class="sidemenu %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>'
	));
}
add_action( 'widgets_init', 'winpress_widgets_init' );

/*
 * ショートコード登録
 */
require_once(dirname(__FILE__).'/php/shortcode.php');

/*
 * カスタムフィールド登録
 */
require_once(dirname(__FILE__).'/php/custom_field.php');

/**
 * ページング
 */
function pagenation($page_url = './?', $total_pages='') {
	global $wp_query, $_tmpl;

	if (empty($total_pages)) {
		$total_pages = $wp_query->max_num_pages;
	}
	$current_page = max(1, get_query_var('paged'));

	echo $_tmpl->pagination($current_page, $total_pages, $page_url, 5, 'paged');
}
?>