<?php
/**
 * ダイアル特典テンプレート
 * header.php
 */
global $theme_options, $_tmpl;

$show_breadcrumb = $show_logolink = $show_mainnav = true;
if (is_single() or is_page()) {
  $winp_post_type_lp = get_post_meta($post->ID, 'winp_post_type_lp', true);
  if (!empty($winp_post_type_lp) && 'on' == $winp_post_type_lp) {
		$show_breadcrumb = $show_logolink = $show_mainnav = false;
  }
}
?><!DOCTYPE html>
<html lang="ja">
<head>
	<title><?php wp_title('|', true, 'right'); ?> <?php bloginfo('name'); ?></title>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

<?php wp_head(); ?>

	<script>//<![CDATA[
		var winpConfig = {home_url: '<?php echo home_url('') ?>', theme_url: '<?php echo get_stylesheet_directory_uri(); ?>'};
	//]]></script>

	<!--[if lt IE 9]>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/ie.css">
		<script src="<?php echo get_stylesheet_directory_uri(); ?>/js/html5shiv.js"></script>
	<![endif]-->
	<!--[if IE 6]>
		<script type="text/javascript" src="<?php echo get_stylesheet_directory_uri(); ?>/js/DD_belatedPNG.js"></script>
		<script type="text/javascript">
			DD_belatedPNG.fix('img, .png_bg');
		</script>
	<![endif]-->

<?php if (!empty($theme_options['analyze_tag_header'])): ?>
<?php echo trim($theme_options['analyze_tag_header']); ?>
<?php endif; ?>

<?php if (is_single() || is_page()): $post_analyze_tag_header = get_post_meta($post->ID, 'winp_post_analyze_tag_header', true); ?>
<?php echo trim($post_analyze_tag_header); ?>
<?php endif; ?>

</head>

<?php
$add_body_class = array();
if ('right' === $theme_options['column_position']) {
	$add_body_class[] = 'contents_column_2';
} elseif ('left' === $theme_options['column_position']) {
	$add_body_class[] = 'contents_column_2';
	$add_body_class[] = 'sidebar_left';
} elseif ('none' !== $theme_options['column_position']) {
	$add_body_class[] = 'contents_column_2';
}
if (is_single() || is_page()) {
	$post_column_position = get_post_meta($post->ID, 'winp_post_column_position', true);
	if ('right' === $post_column_position) {
		$add_body_class = array();
		$add_body_class[] = 'contents_column_2';
	} elseif ('left' === $post_column_position) {
		$add_body_class = array();
		$add_body_class[] = 'contents_column_2';
		$add_body_class[] = 'sidebar_left';
	} elseif ('none' === $post_column_position) {
		$add_body_class = array();
	}
}
?>
<body <?php body_class($add_body_class); ?>>
<?php include(dirname(__FILE__).'/module/sns_btn_include.php'); ?>
<header id="header">
	<div class="container">
<?php if (empty($theme_options['header_title_display']) || (!empty($theme_options['header_title_display']) && 'all' == $theme_options['header_title_display'])): $header_logo_tag = 'h2'; ?>
		<h1 class="page_headline"><?php wp_title('|', true, 'right'); ?> <?php bloginfo('name'); ?></h1>
<?php else: $header_logo_tag = 'h1'; ?>
<?php endif; ?>

		<div class="row">
<?php if (empty($theme_options['header_desc_display']) || (!empty($theme_options['header_desc_display']) && 'all' == $theme_options['header_desc_display'])): ?>
			<div class="col-md-6">
<?php else: ?>
			<div class="col-md-12">
<?php endif; ?>
<?php $logo_image_data = get_custom_header(); ?>
<?php if (true == $show_logolink): ?>
<?php if (!empty($logo_image_data->url)): ?>
				<<?php echo $header_logo_tag; ?> class="header_logo"><a href="<?php echo home_url('/'); ?>"><img class="img-responsive" src="<?php echo $logo_image_data->url; ?>" alt="<?php bloginfo('name'); ?>"></a></<?php echo $header_logo_tag; ?>>
<?php else: ?>
<?php if (!empty($theme_options['header_logo_text'])): ?>
				<<?php echo $header_logo_tag; ?> class="header_title"><a href="<?php echo home_url('/'); ?>"><?php echo $theme_options['header_logo_text']; ?></a></<?php echo $header_logo_tag; ?>>
<?php else: ?>
				<<?php echo $header_logo_tag; ?> class="header_title"><a href="<?php echo home_url('/'); ?>"><?php bloginfo('name'); ?></a></<?php echo $header_logo_tag; ?>>
<?php endif; ?>
<?php endif; ?>
<?php else: ?>
<?php if (!empty($logo_image_data->url)): ?>
				<<?php echo $header_logo_tag; ?> class="header_logo"><img class="img-responsive" src="<?php echo $logo_image_data->url; ?>" alt="<?php bloginfo('name'); ?>"></<?php echo $header_logo_tag; ?>>
<?php else: ?>
<?php if (!empty($theme_options['header_logo_text'])): ?>
				<<?php echo $header_logo_tag; ?> class="header_title"><?php echo $theme_options['header_logo_text']; ?></<?php echo $header_logo_tag; ?>>
<?php else: ?>
				<<?php echo $header_logo_tag; ?> class="header_title"><?php bloginfo('name'); ?></<?php echo $header_logo_tag; ?>>
<?php endif; ?>
<?php endif; ?>
<?php endif; ?>
			</div>
<?php if (empty($theme_options['header_desc_display']) || (!empty($theme_options['header_desc_display']) && 'all' == $theme_options['header_desc_display'])): ?>
			<div class="col-md-6">
				<div class="header_description sp_hide">
					<p><?php bloginfo('description'); ?></p>
				</div>
			</div>
<?php endif; ?>
		</div>

<?php
wp_nav_menu(
	array(
		'theme_location' => 'header',
		'container_id' => '',
		'container_class' => 'header_navigation sp_hide',
		'menu_id' => '' ,
		'menu_class' => 'header_navigation sp_hide',
		'link_before' => '<i class="fa fa-angle-right"></i> ',
		'items_wrap' => '<ul>%3$s</ul>',
		'depth' => 1,
		'fallback_cb' => ''
	)
);
?>
	</div>
</header>

<?php
$global_menu = wp_nav_menu(
	array(
		'theme_location' => 'primary',
		'container_id' => 'global_menu',
		'container_class' => 'collapse navbar-collapse',
		'menu_id' => 'global_menu' ,
		'menu_class' => 'collapse navbar-collapse',
		'items_wrap' => '<ul class="nav navbar-nav">%3$s</ul>',
		'echo' => false,
		'fallback_cb' => '',
		'walker' => new winpress_walker_mainmenu()
	)
);
?>
<?php if (!empty($global_menu) && true == $show_mainnav): ?>
<div id="mainnav">
	<div class="container">
		<nav class="navbar navbar-default navbar-static-top">
		  <div class="container-fluid">
		    <div class="navbar-header">
		      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#global_menu">
						<img src="<?php echo get_stylesheet_directory_uri(); ?>/images/mainnav/menu.png">
		      </button>
		    </div>

				<?php echo $global_menu; ?>
		  </div>
		</nav>
	</div>
</div>
<?php endif; ?>

<?php if ('right' === $theme_options['column_position']): ?>
<div id="contents" class="contents_column_2">
<?php elseif ('left' === $theme_options['column_position']): ?>
<div id="contents" class="contents_column_2 sidebar_left">
<?php elseif ('none' === $theme_options['column_position']): ?>
<div id="contents">
<?php else: ?>
<div id="contents" class="contents_column_2">
<?php endif; ?>
	<div class="container">
<?php if (true == $show_breadcrumb): ?>
<?php if (empty($theme_options['breadcrumb_display']) || (!empty($theme_options['breadcrumb_display']) && 'all' == $theme_options['breadcrumb_display'])): ?>
<?php if(function_exists('bcn_display')): ?>
<?php bcn_display(); ?>
<?php else: ?>
<?php if (!is_front_page()): ?>
<?php $_tmpl->breadcrumb(); ?>
<?php endif; ?>
<?php endif; ?>
<?php endif; ?>
<?php endif; ?>

		<main id="main">
<?php include(dirname(__FILE__).'/module/header_image.php'); ?>






