<?php
add_action('save_post', 'winp_meta_box_save');
function winp_meta_box_save($post_id) {
  global $post;

  if( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ){ 
    return $post_id; 
  }

	if (isset($_POST['winp_post_analyze_tag_header'])) {
		update_post_meta($post->ID, 'winp_post_analyze_tag_header', $_POST['winp_post_analyze_tag_header']);
	}
	if (isset($_POST['winp_post_analyze_tag_footer'])) {
		update_post_meta($post->ID, 'winp_post_analyze_tag_footer', $_POST['winp_post_analyze_tag_footer']);
	}
}

add_action('admin_init', 'winp_admin_init');
function winp_admin_init() {
	add_meta_box('winp_post_analyze_tag', '解析タグ設定', 'winp_post_analyze_tag', 'post', 'normal', 'low');
	add_meta_box('winp_post_analyze_tag', '解析タグ設定', 'winp_post_analyze_tag', 'page', 'normal', 'low');
}

function winp_post_analyze_tag() {  
  global $post;
  
  $post_analyze_tag_header = get_post_meta($post->ID, 'winp_post_analyze_tag_header', true);
  $post_analyze_tag_footer = get_post_meta($post->ID, 'winp_post_analyze_tag_footer', true);
?>
<table class="form-table">
	<tr class="top">
		<td colspan="2">
			<small>※全体設定で設定したタグに更に追加で表示されます</small>
		</td>
	</tr>
	<tr class="top">
		<td>
			ヘッダーに設定する解析タグ
			<textarea rows="10" name="winp_post_analyze_tag_header" style="width:100%"><?php esc_attr_e($post_analyze_tag_header); ?></textarea>
		</td>
		<td>
			フッターに設定する解析タグ
			<textarea rows="10" name="winp_post_analyze_tag_footer" style="width:100%"><?php esc_attr_e($post_analyze_tag_footer); ?></textarea>
		</td>
	</tr>
</table>
<?php
}
