<?php
/**
 * ダイアル特典テンプレート
 * shortcode.php
 */

function priority_change() {
	remove_filter( 'the_content', 'do_shortcode', 11 );
	add_filter('the_content', 'do_shortcode', 1);
}
add_action('init', 'priority_change');

/**
 * winp_section
 */
function winp_section_func($atts, $content = null) {
	$source = '<section>'.do_shortcode($content).'</section>';

	return $source;
}
add_shortcode('winp_section', 'winp_section_func');

/**
 * winp_pc
 */
function winp_pc_func($atts, $content = null) {
	$source = '<div class="sp_hide">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_pc', 'winp_pc_func');

/**
 * winp_sp
 */
function winp_sp_func($atts, $content = null) {
	$source = '<div class="pc_hide">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_sp', 'winp_sp_func');

function winp_clear_func($atts, $content = null) {
	$source = '<div class="clearfix">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_clear', 'winp_clear_func');

function winp_left_func($atts, $content = null) {
	$source = '<div class="pull-left">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_left', 'winp_left_func');

function winp_right_func($atts, $content = null) {
	$source = '<div class="pull-right">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_right', 'winp_right_func');

function winp_text_center_func($atts, $content = null) {
	$source = '<div class="text-center">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_text_center', 'winp_text_center_func');

function winp_text_right_func($atts, $content = null) {
	$source = '<div class="text-right">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_text_right', 'winp_text_right_func');

function winp_row_func($atts, $content = null) {
	$source = '<div class="row">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_row', 'winp_row_func');

function winp_half_func($atts, $content = null) {
	$source = '<div class="col-sm-6">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_half', 'winp_half_func');

function winp_3column_func($atts, $content = null) {
	$source = '<div class="col-sm-4">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_3column', 'winp_3column_func');

/**
 * text
 */

function winp_text_red_func($atts, $content = null) {
	$source = '<span class="text_red">'.do_shortcode($content).'</span>';

	return $source;
}
add_shortcode('winp_text_red', 'winp_text_red_func');

function winp_text_blue_func($atts, $content = null) {
	$source = '<span class="text_blue">'.do_shortcode($content).'</span>';

	return $source;
}
add_shortcode('winp_text_blue', 'winp_text_blue_func');

function winp_text_orange_func($atts, $content = null) {
	$source = '<span class="text_orange">'.do_shortcode($content).'</span>';

	return $source;
}
add_shortcode('winp_text_orange', 'winp_text_orange_func');

function winp_text_green_func($atts, $content = null) {
	$source = '<span class="text_green">'.do_shortcode($content).'</span>';

	return $source;
}
add_shortcode('winp_text_green', 'winp_text_green_func');

function winp_text_bg_func($atts, $content = null) {
	$source = '<span class="text_bg_yellow">'.do_shortcode($content).'</span>';

	return $source;
}
add_shortcode('winp_text_bg', 'winp_text_bg_func');

function winp_text_border_func($atts, $content = null) {
	$source = '<span class="text_border_red">'.do_shortcode($content).'</span>';

	return $source;
}
add_shortcode('winp_text_border', 'winp_text_border_func');


/**
 * point
 */
function winp_point1_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point1'.$class.'"><div class="point_icon">POINT1</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point1', 'winp_point1_func');

function winp_point2_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point2'.$class.'"><div class="point_icon">POINT2</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point2', 'winp_point2_func');

function winp_point3_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point3'.$class.'"><div class="point_icon">POINT3</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point3', 'winp_point3_func');

function winp_point4_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point4'.$class.'"><div class="point_icon">POINT4</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point4', 'winp_point4_func');

function winp_point5_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point5'.$class.'"><div class="point_icon">POINT5</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point5', 'winp_point5_func');

function winp_point6_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point6'.$class.'"><div class="point_icon">POINT6</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point6', 'winp_point6_func');

function winp_point7_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point7'.$class.'"><div class="point_icon">POINT7</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point7', 'winp_point7_func');

function winp_point8_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point8'.$class.'"><div class="point_icon">POINT8</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point8', 'winp_point8_func');

function winp_point9_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point9'.$class.'"><div class="point_icon">POINT9</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point9', 'winp_point9_func');

function winp_point10_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'position' => ''
	), $atts ) ); 

	if (!empty($atts['position']) && 'top' == $atts['position']) {
		$class = ' point_icon_top';
	} elseif (!empty($atts['position']) && 'bottom' == $atts['position']) {
		$class = ' point_icon_bottom';
	} else {
		$class = '';
	}

	$source = '<div class="point point10'.$class.'"><div class="point_icon">POINT10</div><div class="point_text">'.$content.'</div></div>';

	return $source;
}
add_shortcode('winp_point10', 'winp_point10_func');


/**
 * arrow
 */
function winp_arrow_red_func($atts, $content = null) {
	$source = '<span class="arrow_red">'.$content.'</span>';

	return $source;
}
add_shortcode('winp_arrow_red', 'winp_arrow_red_func');

function winp_arrow_orange_func($atts, $content = null) {
	$source = '<span class="arrow_orange">'.$content.'</span>';

	return $source;
}
add_shortcode('winp_arrow_orange', 'winp_arrow_orange_func');

function winp_arrow_black_func($atts, $content = null) {
	$source = '<span class="arrow_black">'.$content.'</span>';

	return $source;
}
add_shortcode('winp_arrow_black', 'winp_arrow_black_func');

function winp_arrow_blue_func($atts, $content = null) {
	$source = '<span class="arrow_blue">'.$content.'</span>';

	return $source;
}
add_shortcode('winp_arrow_blue', 'winp_arrow_blue_func');

/**
 * winp_frame
 */
function winp_frame_func($atts, $content = null) {
	extract ( shortcode_atts ( array (
		'color' => '',
		'border' => ''
	), $atts ) ); 

	$color = 'gray';
	if (!empty($atts['color'])) {
		$color = $atts['color'];
	}

	$border = '';
	if (!empty($atts['border'])) {
		$border = $atts['border'];
	}

	$frame_classes = array();
	$frame_classes[] = 'frame';
	$frame_classes[] = 'frame_bg_'.$color;
	if (!empty($border)) {
		$frame_classes[] = 'frame_border_'.$border;
	}

	$source = '<div class="'.implode(' ', $frame_classes).'">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_frame', 'winp_frame_func');


function winp_alert_func($atts, $content = null) {
	$source = '<div class="frame frame_alert">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_alert', 'winp_alert_func');

function winp_alert_accept_func($atts, $content = null) {
	$source = '<div class="frame frame_accept">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_alert_accept', 'winp_alert_accept_func');

function winp_alert_attention_func($atts, $content = null) {
	$source = '<div class="frame frame_attention">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_alert_attention', 'winp_alert_attention_func');

function winp_alert_thint_func($atts, $content = null) {
	$source = '<div class="frame frame_thint">'.do_shortcode($content).'</div>';

	return $source;
}
add_shortcode('winp_alert_thint', 'winp_alert_thint_func');

function winp_user1_func($atts, $content = null) {
	$source = '<div class="frame_user1">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_user1', 'winp_user1_func');

function winp_user2_func($atts, $content = null) {
	$source = '<div class="frame_user2">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_user2', 'winp_user2_func');

function winp_user3_func($atts, $content = null) {
	$source = '<div class="frame_user3">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_user3', 'winp_user3_func');

function winp_user4_func($atts, $content = null) {
	$source = '<div class="frame_user4">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_user4', 'winp_user4_func');

function winp_faq_q1_func($atts, $content = null) {
	$source = '<div class="question1">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_faq_q1', 'winp_faq_q1_func');

function winp_faq_a1_func($atts, $content = null) {
	$source = '<div class="answer1">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_faq_a1', 'winp_faq_a1_func');

function winp_faq_q2_func($atts, $content = null) {
	$source = '<div class="question2">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_faq_q2', 'winp_faq_q2_func');

function winp_faq_a2_func($atts, $content = null) {
	$source = '<div class="answer2">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_faq_a2', 'winp_faq_a2_func');

function winp_ranking1_func($atts, $content = null) {
	$source = '<div class="rank1">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking1', 'winp_ranking1_func');

function winp_ranking2_func($atts, $content = null) {
	$source = '<div class="rank2">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking2', 'winp_ranking2_func');

function winp_ranking3_func($atts, $content = null) {
	$source = '<div class="rank3">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking3', 'winp_ranking3_func');

function winp_ranking4_func($atts, $content = null) {
	$source = '<div class="rank4">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking4', 'winp_ranking4_func');

function winp_ranking5_func($atts, $content = null) {
	$source = '<div class="rank5">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking5', 'winp_ranking5_func');

function winp_ranking6_func($atts, $content = null) {
	$source = '<div class="rank6">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking6', 'winp_ranking6_func');

function winp_ranking7_func($atts, $content = null) {
	$source = '<div class="rank7">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking7', 'winp_ranking7_func');

function winp_ranking8_func($atts, $content = null) {
	$source = '<div class="rank8">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking8', 'winp_ranking8_func');

function winp_ranking9_func($atts, $content = null) {
	$source = '<div class="rank9">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking9', 'winp_ranking9_func');

function winp_ranking10_func($atts, $content = null) {
	$source = '<div class="rank10">'.$content.'</div>';

	return $source;
}
add_shortcode('winp_ranking10', 'winp_ranking10_func');

function winp_star_00_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_00.jpg">';

	return $source;
}
add_shortcode('star_00', 'winp_star_00_func');

function winp_star_05_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_05.jpg">';

	return $source;
}
add_shortcode('star_05', 'winp_star_05_func');

function winp_star_10_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_10.jpg">';

	return $source;
}
add_shortcode('star_10', 'winp_star_10_func');

function winp_star_15_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_15.jpg">';

	return $source;
}
add_shortcode('star_15', 'winp_star_15_func');

function winp_star_20_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_20.jpg">';

	return $source;
}
add_shortcode('star_20', 'winp_star_20_func');

function winp_star_25_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_25.jpg">';

	return $source;
}
add_shortcode('star_25', 'winp_star_25_func');

function winp_star_30_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_30.jpg">';

	return $source;
}
add_shortcode('star_30', 'winp_star_30_func');

function winp_star_35_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_35.jpg">';

	return $source;
}
add_shortcode('star_35', 'winp_star_35_func');

function winp_star_40_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_40.jpg">';

	return $source;
}
add_shortcode('star_40', 'winp_star_40_func');

function winp_star_45_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_45.jpg">';

	return $source;
}
add_shortcode('star_45', 'winp_star_45_func');

function winp_star_50_func($atts, $content = null) {
	$source = '<img src="'.get_stylesheet_directory_uri().'/images/module/star/star_50.jpg">';

	return $source;
}
add_shortcode('star_50', 'winp_star_50_func');
