<?php
class Template {
	public function get_alert($message, $subclass = '', $show_close = true) {
		$source = '<div class="alert '.$subclass.'">';
		if (false !== $show_close) {
			$source .= '<button type="button" class="close" data-dismiss="alert">&times;</button>';
		}
		$source .= $message;
		$source .= '</div>';

		return $source;
	}
	public function alert($message, $subclass = '', $show_close = true) {
		echo $this->get_alert($message, $subclass, $show_close);
	}

	public function pagination($page, $total_pages, $url, $list_count = 7, $page_query_name = 'page') {
		if (0 === $page) {
			$page = 1;
		}

		$source = '<ul class="pagination">';
		if ($page == 1) {
			$source .= '<li class="disabled"><a>Prev</a></li>';
		} else {
			$prev_page = $page - 1;
			$source .= '<li><a href="'.$url.$page_query_name.'='.$prev_page.'" title="Prev">Prev</a></li>';
		}
		if ($total_pages > $list_count) {
			$halt_list_count = floor($list_count / 2);
			$list_count_odd = $list_count % 2;
			if ($page <= $halt_list_count + 1) {
				$start_count = 1;
				$end_count = $list_count;
			} elseif ($page + $halt_list_count > $total_pages) {
				$start_count = $total_pages - $list_count + 1;
				$end_count = $total_pages;
			} else {
				$start_count = $page - $halt_list_count;
				if ($list_count_odd != 0) {
					$end_count = $page + $halt_list_count;
				} else {
					$end_count = $page + $halt_list_count - 1;
				}
			}
			for ($i=$start_count;$i<=$end_count;$i++) {
				if ($page == $i) {
					$source .= '<li class="active"><a>'.$i.'</a></li>';
				} else {
					$source .= '<li><a href="'.$url.$page_query_name.'='.$i.'" title="'.$i.'">'.$i.'</a></li>';
				}
			}
		} else {
			for ($i=1;$i<=$total_pages;$i++) {
				if ($page == $i) {
					$source .= '<li class="active"><a>'.$i.'</a></li>';
				} else {
					$source .= '<li><a href="'.$url.$page_query_name.'='.$i.'" title="'.$i.'">'.$i.'</a></li>';
				}
			}
		}
		if ($page == $total_pages || $total_pages == 0) {
			$source .= '<li class="disabled"><a>Next</a></li>';
		} else {
			$next_page = $page + 1;
			$source .= '<li><a href="'.$url.$page_query_name.'='.$next_page.'" title="Next">Next</a></li>';
		}
		$source .= '</ul>';

		echo $source;
	}

	public function breadcrumb(){
		global $post;
		$str ='';
		if(!is_admin()){
			$str.= '<ol class="breadcrumb">';
			$str.= '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="'. home_url() .'" itemprop="url"><span itemprop="title">ホーム</span></a></li>';

			if(is_category()) {
				$cat = get_queried_object();
				if($cat -> parent != 0){
					$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
					foreach($ancestors as $ancestor){
					$str.='<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="'. get_category_link($ancestor) .'" itemprop="url"><span itemprop="title">'. get_cat_name($ancestor) .'</span></a></li>';
					}
				}
				$str.='<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="'. get_category_link($cat -> term_id). '" itemprop="url"><span itemprop="title">'. $cat-> cat_name . '</span></a></li>';
			} elseif(is_page()){
				if($post -> post_parent != 0 ){
					$ancestors = array_reverse(get_post_ancestors( $post->ID ));
					foreach($ancestors as $ancestor){
						$str.='<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="'. get_permalink($ancestor).'" itemprop="url"><span itemprop="title">'. get_the_title($ancestor) .'</span></a></li>';
					}
				}
				$str.='<li>'. wp_title('', false) .'</li>';
			} elseif(is_single()){
				$categories = get_the_category($post->ID);
				$cat = $categories[0];
				if($cat -> parent != 0){
					$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
					foreach($ancestors as $ancestor){
						$str.='<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="'. get_category_link($ancestor).'" itemprop="url"><span itemprop="title">'. get_cat_name($ancestor). '</span></a></li>';
					}
				}
				$str.='<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="'. get_category_link($cat -> term_id). '" itemprop="url"><span itemprop="title">'. $cat-> cat_name . '</span></a></li>';
				$str.='<li>'. wp_title('', false) .'</li>';
			} else{
				$str.='<li>'. wp_title('', false) .'</li>';
			}
			$str.='</ol>';
		}

		echo $str;
	}

	/**
	 * generateOptions
	 * 配列から <option> を生成
	 */
	public function generateOptions($datas = array(), $value = '') {
		$source = '';
		$i = 0;

		foreach ($datas as $key => $val) {
			$i++;

			if (is_array($val)) {
				$option_key = $val[0];
				$option_value = $val[1];
			} else {
				$option_key = $key;
				$option_value = $val;
			}

			if (!$value) {
				if ($i == 1) {
					$selected = ' selected="selected"';
				} else {
					$selected = '';
				}
			} else {
				if ($value == $option_key) {
					$selected = ' selected="selected"';
				} else {
					$selected = '';
				}
			}
			$source .= '<option value="'.$option_key.'"'.$selected.'>'.$option_value.'</option>';
		}

		return $source;
	}

	public function generateCheckbox($name, $datas = array(), $value = array(), $split = '', $label_class = '') {
		if (!is_array($value)) {
			$value = array($value);
		}
		$inputs = array();
		$checked = '';
		$i = 0;
		foreach ($datas as $key => $val) {
			$i++;

			if (is_array($val)) {
				$option_key = $val[0];
				$option_value = $val[1];
			} else {
				$option_key = $key;
				$option_value = $val;
			}

			if (count($value) > 0) {
				if (in_array($option_key, $value)) {
					$checked = ' checked="checked"';
				} else {
					$checked = '';
				}
			}
			$inputs[] = '<label class="checkbox '.$label_class.'"><input type="checkbox" name="'.$name.'" value="'.$option_key.'"'.$checked.'>'.$option_value.'</label>';
		}
		$source = implode($split, $inputs);

		return $source;
	}

	public function generateRadioButton($name, $datas = array(), $value = '', $split = '', $label_class = '') {
		$inputs = array();
		$i = 0;
		foreach ($datas as $key => $val) {
			$i++;

			if (is_array($val)) {
				$option_key = $val[0];
				$option_value = $val[1];
			} else {
				$option_key = $key;
				$option_value = $val;
			}

			if (!$value) {
				if ($i == 1) {
					$checked = ' checked="checked"';
				} else {
					$checked = '';
				}
			} else {
				if ($value == $option_key) {
					$checked = ' checked="checked"';
				} else {
					$checked = '';
				}
			}
			$inputs[] = '<label class="radio '.$label_class.'"><input type="radio" name="'.$name.'" value="'.$option_key.'"'.$checked.'>'.$option_value.'</label>';
		}
		$source = implode($split, $inputs);

		return $source;
	}

	public function generateHiddenInputs($post) {
		$result = '';
		foreach ($post as $key => $val) {
			if ($key == 'post_data' || $key == 'return' || $key == 'submit') {
				continue;
			}
			if (is_array($val)) {
				$result .= '<input type="hidden" name="'.$key.'" value="'.implode(',', $val).'" />';
			} else {
				$result .= '<input type="hidden" name="'.$key.'" value="'.$val.'" />';
			}
		}

		return $result;
	}
}
